/*
  lamtest.c
*/

#include <stdio.h>
#include <sys/types.h>

#include "camlib.h"

#define LAMSLOT    4
#define FLAMCLEAR  10

static int count=10;

int main( int argc, char **argv )
{
  int i,carg;
  int status,data,q,x;
  int lammask=(0x1<<(LAMSLOT-1));

  if(argc>=2){
    if(sscanf(argv[1],"%d",&carg)==1)
      count=carg;
  }
  status=COPEN();
  if(status){
    printf("CAMAC Open Failure\n");
    exit(-1);
  }
  CSETCR(0);
  CGENZ();
  CREMI();
  CGENC();
  CAMAC(NAF(LAMSLOT,0,FLAMCLEAR),&data,&q,&x);
  CENLAM(lammask);
  CAMAC(NAF(LAMSLOT,0,26),&data,&q,&x);
  for(i=0;i<count;i++){
    printf("lamtest: going CWTLAM [%d]\n",i);
    status=CWTLAM(10);
    printf("Status=%d\n",status);
    CAMAC(NAF(LAMSLOT,0,FLAMCLEAR),&data,&q,&x);
  }
  CDSLAM();
  CAMAC(NAF(LAMSLOT,0,24),&data,&q,&x);
  CSETI();
  CCLOSE();
  return 0;
}
