/*
  k2917.h
*/
/* Base Address and Map Size */
#define K2917ADR  0xFF00
#define K2917SIZE 0x70

/* Register Address */
#define CSER       0x00
#define DOCR       0x04 
#define SCCR       0x06
#define MTCR       0x0A
#define MACHI      0x0C
#define MACLO      0x0E 

#define LAMICR     0x40
#define DONEICR    0x42
#define EMPTYICR   0x44
#define ABTICR     0x46
#define LAMIVR     0x48
#define DONEIVR    0x4A
#define EMPTYIVR   0x4C
#define ABTIVR     0x4E

#define AMR        0x60
#define CMR        0x62
#define CMAR       0x64
#define CWCR       0x66
#define SRR        0x68
#define DLR        0x6A
#define DHR        0x6C
#define CSR        0x6E

/* Interrupt Level & Vectors */
#define INTR_LEVEL      4
#define INTR_VECTOR  0x10
